---
updatedAt: 2025-09-03T06:03:02.000Z
agentTools:
  projectIndex: https://docs.deducto.io/llms.txt
---

# Get email usage data for a promotion

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Deducto API",
    "version": "1.0.0",
    "description": "Deducto backend management API and storefront integration endpoints"
  },
  "servers": [
    {
      "url": "https://api.use.deducto.io",
      "description": "US East server"
    },
    {
      "url": "https://api.usw.deducto.io",
      "description": "US West server"
    },
    {
      "url": "https://api.euc.deducto.io",
      "description": "EU server"
    },
    {
      "url": "https://api.au.deducto.io",
      "description": "Asia Pacific server"
    }
  ],
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "components": {
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "description": "JWT token or API key for authentication. Include as 'Bearer <token>' in the Authorization header."
      }
    }
  },
  "paths": {
    "/v1/manage/{projectId}/promotion/usage/email-list": {
      "post": {
        "tags": [
          "Project"
        ],
        "summary": "Get email usage data for a promotion",
        "parameters": [
          {
            "name": "projectId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "The project ID"
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "promotionId": {
                    "type": "string",
                    "format": "uuid",
                    "description": "The ID of the promotion to get usage data for"
                  },
                  "email": {
                    "type": "string",
                    "minLength": 4,
                    "maxLength": 100,
                    "description": "If an exact email address is specified, only data about that specific email address will be returned. This option takes precedence over the 'emails' option."
                  },
                  "emails": {
                    "type": "array",
                    "items": {
                      "type": "string",
                      "minLength": 4,
                      "maxLength": 100
                    },
                    "minItems": 1,
                    "maxItems": 25,
                    "description": "If email addresses are specified, usage data about these specific addresses only will be returned."
                  },
                  "couponCode": {
                    "type": "string",
                    "description": "Optional coupon code to filter usage data"
                  }
                },
                "required": [
                  "promotionId"
                ],
                "description": "Request schema for retrieving email usage data for a promotion",
                "title": "Usage Email List Request"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Successful operation",
            "content": {
              "application/json": {
                "schema": {
                  "anyOf": [
                    {
                      "type": "object",
                      "properties": {
                        "emailUsages": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "promotionId": {
                                "type": "string",
                                "format": "uuid"
                              },
                              "email": {
                                "type": "string",
                                "minLength": 4,
                                "maxLength": 100
                              },
                              "useCount": {
                                "type": "integer",
                                "minimum": 0
                              },
                              "couponCode": {
                                "type": "string"
                              }
                            },
                            "required": [
                              "promotionId",
                              "email",
                              "useCount"
                            ]
                          },
                          "description": "List of email usage records"
                        }
                      },
                      "required": [
                        "emailUsages"
                      ],
                      "description": "Response schema containing email usage data for the email(s) specified"
                    },
                    {
                      "type": "object",
                      "properties": {
                        "emailUsages": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "promotionId": {
                                "type": "string",
                                "format": "uuid"
                              },
                              "email": {
                                "type": "string",
                                "minLength": 4,
                                "maxLength": 100
                              },
                              "useCount": {
                                "type": "integer",
                                "minimum": 0
                              },
                              "couponCode": {
                                "type": "string"
                              }
                            },
                            "required": [
                              "promotionId",
                              "email",
                              "useCount"
                            ]
                          },
                          "description": "List of email usage records"
                        },
                        "useCount": {
                          "type": "integer",
                          "minimum": 0,
                          "description": "Total number of uses for the promotion"
                        }
                      },
                      "required": [
                        "emailUsages",
                        "useCount"
                      ],
                      "description": "Response schema containing email usage data with summary; this is the response when no email(s) are specified"
                    }
                  ],
                  "description": "Response schema containing email usage data",
                  "title": "Usage Email List Response"
                }
              }
            }
          }
        }
      }
    }
  }
}
```